jira-search
===========

A script for constructing jira JCL queries

```bash
% git clone ssh://gerrit.opencord.org/onf-scripts
% cd onf-scripts/jira/bin

% ./jira-search.sh –help
```

Conditional Searches
====================

| Command | Description |
| ------- | ----------- |
| ./jira-search.sh -–opencord –-unresolved –-component bbsim | Search for unresolved tickets with a component of bbsim |
| ./jira-search.sh -–opencord -–unresolved -–label bbsim | Search for unresolved tickets with 'bbsim' mentioned in the label field. |
| ./jira-search.sh -–opencord -–unresolved -–text bbsim | Search for unresolved tickets with 'bbsim' mentioned in the description |
| ./jira-search.sh -–opencord -–component onos -–component bbsim --label Testing | Switches can be combined but construction logic still needs work.  Query will be loaded into a browser and can be manually cleaned up. |

Help
====

| Command | Description |
| ------- | ----------- |
| ./jira-search.sh --help | Display help text |
| ./jira-search.sh --help-resolved | Display --resolved switch permutations and use cases |
| ./jira-search.sh --usage-resolved | Display use cases for resolved based searches |
| ./jira-search.sh --help-user | Display assigned, requested-by or 'my' jira tickets' |

